## Utilities Utilities — version and debugging functions |

## Stability Level

Stable, unless otherwise indicated

## Functions

void | spice_util_set_debug ()
const gchar * | spice_util_get_version_string ()
#define | SPICE_GTK_CHECK_VERSION()
#define | SPICE_GTK_MAJOR_VERSION
#define | SPICE_GTK_MICRO_VERSION
#define | SPICE_GTK_MINOR_VERSION

## Includes

    #include <spice-util.h>

## Description

Various functions for debugging and informational purposes.

## Functions

### spice_util_set_debug ()

    void
    spice_util_set_debug (gboolean enabled);

Enable or disable Spice-GTK debugging messages.

#### Parameters

enabled | `TRUE` or `FALSE` |

### spice_util_get_version_string ()

    const gchar *
    spice_util_get_version_string (void);

#### Returns

Spice-GTK version as a const string.

### SPICE_GTK_CHECK_VERSION()

    #define             SPICE_GTK_CHECK_VERSION(major, minor, micro)

Compile-time version checking. Evaluates to `TRUE` if the version of Spice-Gtk is greater than the required one.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

Since 0.24

### SPICE_GTK_MAJOR_VERSION

    #define SPICE_GTK_MAJOR_VERSION              (0)

Spice-Gtk major version component (e.g. 1 if version is 1.2.3)

Since 0.24

### SPICE_GTK_MICRO_VERSION

    #define SPICE_GTK_MICRO_VERSION              (0)

Spice-Gtk micro version component (e.g. 3 if version is 1.2.3)

Since 0.24

### SPICE_GTK_MINOR_VERSION

    #define SPICE_GTK_MINOR_VERSION              (27)

Spice-Gtk minor version component (e.g. 2 if version is 1.2.3)

Since 0.24

## Types and Values